package modelo;
// Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final

import java.sql.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * Factura generated by hbm2java
 */
public class Factura implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private Cliente cliente;
	private Vendedor vendedor;
	private Date fecha;
	private String formapago;
	private Set<Linfactura> linfacturas = new HashSet<Linfactura>(0);

	public Factura() {
	}

	public Factura(Cliente cliente, Vendedor vendedor) {
		this.cliente = cliente;
		this.vendedor = vendedor;
	}

	public Factura(Cliente cliente, Vendedor vendedor, Date fecha, String formapago, Set<Linfactura> linfacturas) {
		this.cliente = cliente;
		this.vendedor = vendedor;
		this.fecha = fecha;
		this.formapago = formapago;
		this.linfacturas = linfacturas;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Cliente getCliente() {
		return this.cliente;
	}

	public void setCliente(Cliente cliente) {
		this.cliente = cliente;
	}

	public Vendedor getVendedor() {
		return this.vendedor;
	}

	public void setVendedor(Vendedor vendedor) {
		this.vendedor = vendedor;
	}

	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	public String getFormapago() {
		return this.formapago;
	}

	public void setFormapago(String formapago) {
		this.formapago = formapago;
	}

	public Set<Linfactura> getLinfacturas() {
		return this.linfacturas;
	}

	public void setLinfacturas(Set<Linfactura> linfacturas) {
		this.linfacturas = linfacturas;
	}

	@Override
	public String toString() {
		return "Factura [id=" + id + ", cliente=" + cliente + ", vendedor=" + vendedor + ", fecha=" + fecha
				+ ", formapago=" + formapago + ", total lineas: " + linfacturas.size() + "]";
	}

}
